%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-gpod
Version:        0.4.2
Release:        1%{?dist}
Summary:        A python module to access iPod content

Group:          Development/Languages
License:        LGPL
URL:            http://www.gtkpod.org/libgpod.html
Source0:        http://prdownloads.sourceforge.net/gtkpod/libgpod-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext
BuildRequires:  gtk2-devel
BuildRequires:  perl(XML::Parser)
BuildRequires:  python-devel
BuildRequires:  python-eyed3
BuildRequires:  swig

Requires:       libgpod = %{version}
Requires:       python-eyed3


%description
A python module to access iPod content.  This module provides bindings to the
libgpod library.


%prep
%setup -q -n libgpod-%{version}

# remove execute perms on the python examples as they'll be installed in %doc
chmod 644 bindings/python/examples/*.py


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# remove the parts we aren't packaging (they're in libgpod* in core)
rm -rf $RPM_BUILD_ROOT%{_includedir}
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.so*
rm -rf $RPM_BUILD_ROOT%{_libdir}/pkgconfig
rm -rf $RPM_BUILD_ROOT%{_datadir}/gtk-doc
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale

# remove Makefiles from the examples dir
rm -rf bindings/python/examples/Makefile*


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root, 0755)
%doc COPYING bindings/python/README bindings/python/examples
%{python_sitearch}/gpod
%exclude %{python_sitearch}/gpod/*.la


%changelog
* Tue Jan 16 2007 Todd Zullinger <tmz@pobox.com> - 0.4.2-1
- update to 0.4.2
- remove upstreamed x86_64 patch and gtkpod.py fix
- exclude libtool archives that are now created by the build process
- include new README from bindings/python

* Sun Dec 10 2006 Todd Zullinger <tmz@pobox.com> - 0.4.0-5
- remove Makefiles from the examples dir

* Sat Dec 09 2006 Todd Zullinger <tmz@pobox.com> - 0.4.0-4
- rebuild against python 2.5

* Sun Dec 03 2006 Todd Zullinger <tmz@pobox.com> - 0.4.0-3
- patch for python libdir on x86_64

* Fri Nov 24 2006 Todd Zullinger <tmz@pobox.com> - 0.4.0-2
- add missing gettext and perl(XML::Parser) BRs
- remove superfluous pkgconfig BR

* Tue Nov 21 2006 Todd Zullinger <tmz@pobox.com> - 0.4.0-1
- initial package

